#ifndef __MOG2_CONDITIONSCRIPT_VIEW_WINDOW
#define __MOG2_CONDITIONSCRIPT_VIEW_WINDOW

#define VS_REGION_ADD		0
#define VS_REGION_MODIFY	1


class BViewConditionScriptWnd : public BWindow {
	friend class BViewActionScriptWnd;

public:
	BViewConditionScriptWnd(int x,int y,int dx,int dy,class ConditionSCRIPT *script,class OBJECT *o,class ROOM *r,class MAP *m,class MOG2 *g,class INTERFACE *interfp,class EDITOR *e,int level,TTF_Font *font);
	~BViewConditionScriptWnd();

	virtual bool cycle(int stx,int sty);

	void save_bmp(char *file);

protected:
	virtual void contens_size(int *dx,int *dy);
	virtual void draw_contens(SDL_Surface *sfc,int stx,int sty,int dx,int dy);

	void draw_condition_script(SDL_Surface *sfc,ConditionSCRIPT *script,int stx,int sty);
	bool click_on_condition_script(void);
	bool right_click_on_condition_script(void);
	void condition_script_size(ConditionSCRIPT *script,int *dx,int *dy);

	void recompute_sizes(ConditionSCRIPT *script);

	class EDITOR *editor;
	class BViewValueScriptWnd *vwnd;
	ConditionSCRIPT *script,*selected_script;
	SDL_Rect selected;
	OBJECT *object;
	ROOM *room;
	MAP *map;
	MOG2 *game;
	INTERFACE *interf;
	int level;
};


#endif

