#ifndef __BRAIN_GAMEPREVIEW_DIALOG
#define __BRAIN_GAMEPREVIEW_DIALOG


class BGamePreviewDlg : public BActiveWindow {
public:
	BGamePreviewDlg(int x,int y,int dx,int dy,MOG2 *g,MAP *m,ROOM *r,TTF_Font *font);
	~BGamePreviewDlg();

	virtual bool cycle(int stx,int sty);

protected:
	virtual void contens_size(int *dx,int *dy);
	virtual void draw_contens(SDL_Surface *sfc,int stx,int sty,int dx,int dy);
	virtual bool button_pressed(int ID);

	MOG2 *game;
	MAP *map;
	ROOM *room;
	List<OBJECT> characters;

	NWMOG2GameInfo *gameinfo;
	bool debug;
	bool show_fps;
	bool show_debugmsg;

	bool rebuild_split;

	BButton *bnormal,*bload,*bsave,*bdebug;
	int game_mode;
	char *load_file,*save_file;

};

#endif